List Metrics
curl --request GET \
--url https://api.blockworks.com/v1/metrics \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/metrics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"name": "<string>",
"description": "<string>",
"identifier": "rev",
"project": "Bitcoin",
"source": "Blockworks",
"data_type": "float",
"parameters": {
"end_date": {
"type": "date",
"required": false,
"description": "End date (inclusive)"
},
"start_date": {
"type": "date",
"required": false,
"description": "Start date (inclusive)"
}
},
"updated_at": 123,
"interval": "daily",
"aggregation": "SUM",
"category": "Financials",
"denomination": "USD"
}
]
}metrics
List Metrics
List available metrics with optional filters project and identifier. Supports pagination via page and limit.
GET
/
v1
/
metrics
List Metrics
curl --request GET \
--url https://api.blockworks.com/v1/metrics \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockworks.com/v1/metrics"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockworks.com/v1/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"page": 1073741824,
"total": 50,
"data": [
{
"name": "<string>",
"description": "<string>",
"identifier": "rev",
"project": "Bitcoin",
"source": "Blockworks",
"data_type": "float",
"parameters": {
"end_date": {
"type": "date",
"required": false,
"description": "End date (inclusive)"
},
"start_date": {
"type": "date",
"required": false,
"description": "Start date (inclusive)"
}
},
"updated_at": 123,
"interval": "daily",
"aggregation": "SUM",
"category": "Financials",
"denomination": "USD"
}
]
}Authorizations
Query Parameters
Required range:
1 <= x <= 2147483647Required range:
1 <= x <= 100Example:
"Bitcoin,Ethereum"
Example:
"txns,issuance"